{% extends 'base.html' %}
{% load static %}

{% block content %}
    {% if messages %}
        <div class="messages container">
            {% for message in messages %}
                <div class="row justify-content-center mb-2 px-3">
                    <div {% if message.tags %} class="col-12 col-md-8 alert alert-dismissible {{ message.tags }} shadow" {% endif %}>
                        <h5 class="text-center m-0">{{ message | safe }}</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>
                </div>
            {% endfor %}
        </div>
    {% endif %}

    <section id="user-profile" class="container">
        <div class="row justify-content-center">
            <div class="col-12 col-md-8">
                <div class="card-body background-light py-5">
                    <h1 class="card-title text-center mb-4">YOUR ACCOUNT</h1>

                    <table class="table table-responsive w-75 mx-auto">
                        <tbody class="dark-blue-text-color">
                            <tr>
                                <td colspan="2" class="text-center border-0">
                                    <img src="{{ utente.avatar.url }}" class="img-thumbnail" width="100" alt="avatar-icon">
                                </td>
                            </tr>
                            <tr class="fs-5">
                                <th class="text-end border-0">Email: </th>
                                <td class="text-center border-0">{{ utente.account.email }}</td>
                            </tr>
                            <tr class="fs-5">
                                <th class="text-end border-0">Username: </th>
                                <td class="text-center border-0">{{ utente.account.username }}</td>
                            </tr>
                            <tr class="fs-5">
                                <th class="text-end border-0">Age: </th>
                                <td class="text-center border-0">
                                    {% if utente.eta %}
                                        <h5>{{ utente.eta }}</h5>
                                    {% else %}
                                        <h5>-</h5>
                                    {% endif %}
                                </td>
                            </tr>
                            <tr class="fs-5">
                                <th class="text-end border-0">Country: </th>
                                <td class="text-center border-0">
                                    {{ utente.nazionalita }}
                                </td>
                            </tr>
                            <tr class="fs-5">
                                <th class="text-end border-0">Premium: </th>
                                <td class="text-center border-0">
                                    <label for="premium-checkbox"></label>
                                    <input class="form-check-input" id="premium-checkbox" type="checkbox" disabled>
                                    {% if utente.abbonato %}
                                        <p class="m-0 fs-6">Expiration date: {{ utente.accountpremium_set.first.data_fine }}</p>
                                    {% endif %}
                                </td>
                            </tr>
                            <tr class="fs-5 fst-italic">
                                <td colspan="2" class="text-center border-0 pt-3">
                                    Click <a href="{% url 'premium' %}">here</a>
                                    {% if utente.abbonato %}
                                        to change your subscription!
                                    {% else %}
                                        to subscribe to premium!
                                    {% endif %}
                                </td>
                            </tr>
                        </tbody>
                    </table>

                    <div class="row justify-content-center mt-5">
                        <div class="col d-flex justify-content-center">
                            <a href="{% url 'edit_account' utente.pk %}" class="btn btn-primary me-5">EDIT</a>
                            <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#del-account-modal">DELETE</button>
                            {% include 'auth_app/deleteAccountModal.html' %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

<script>
    {% if utente.abbonato %}
        $('#premium-checkbox').prop('checked', true);
    {% endif %}
</script>
{% endblock %}